Bug 1732097

Summary: Bootstrapping auto approve variable not mentioned in 3.10 documentation like it is in 3.11
Product: OpenShift Container Platform Reporter: coberry
Component: DocumentationAssignee: Vikram Goyal <vigoyal>
Status: CLOSED DEFERRED QA Contact: Xiaoli Tian <xtian>
Severity: unspecified Docs Contact: Vikram Goyal <vigoyal>
Priority: unspecified    
Version: 3.10.0CC: aos-bugs, jokerman, mmccomas
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-21 12:56:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description coberry 2019-07-22 17:14:54 UTC
Description of problem: openshift_master_bootstrap_auto_approve variable is mentioned in 3.11 documentation but not in the 3.10 leaving customers to believe that the variable is exclusive to 3.11 but the playbook in 3.10 "playbooks/openshift-master/private/tasks/enable_bootstrap_config.yml" clearly shows the variable is used in 3.10 also.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. https://docs.openshift.com/container-platform/3.10/install/configuring_inventory_file.html
2. https://docs.openshift.com/container-platform/3.11/install/configuring_inventory_file.html
3. https://github.com/openshift/openshift-ansible/blob/release-3.10/playbooks/openshift-master/private/tasks/enable_bootstrap_config.yml

Actual results:


Expected results: Include the same information from 3.11 documentation in 3.10 documentation for the variable openshift_master_bootstrap_auto_approve


Additional info: Case # 02430816

Comment 1 Stephen Cuppett 2019-11-21 12:56:08 UTC
OCP 3.6-3.10 is no longer on full support [1]. Marking un-triaged bugs CLOSED DEFERRED. If you have a customer case with a support exception or have reproduced on 3.11+, please reopen and include those details. When reopening, please set the Version to the appropriate version where reproduced.

[1]: https://access.redhat.com/support/policy/updates/openshift